- name: install gpg
  package: name=gnupg,apt-transport-https

- name: download libssl 1.0.0
  get_url:
    url: 'http://ftp.fr.debian.org/debian/pool/main/o/openssl/libssl1.0.0_1.0.2l-1~bpo8+1_amd64.deb'
    dest: /tmp/libssl1.0.0_1.0.2l-1~bpo8+1_amd64.deb
    owner: root
    group: root
    mode: 0640

- name: install libssl 1.0.0
  apt: deb=/tmp/libssl1.0.0_1.0.2l-1~bpo8+1_amd64.deb

- name: add dell key
  apt_key:
    data: "{{ lookup('file','tmp/dell.gpg') }}"

- name: add repo for debian
  apt_repository:
    repo: "deb http://linux.dell.com/repo/community/debian jessie openmanage"
    state: present
    update_cache: yes
    mode: 0644

- name: add base packages
  package: name={{dell_hardware_packages}}
